Sisyphus changes — различия между версиями

Материал из ALT Linux Wiki
Перейти к: навигация, поиск
м (2013: март: grub2-efi)
 
(не показано 96 промежуточных версий 9 участников)
Строка 1: Строка 1:
 
[[Категория:Sisyphus]]
 
[[Категория:Sisyphus]]
 
[[Категория:Changes]]
 
[[Категория:Changes]]
 +
[[category:admin]]
 
{{Шаблон:ОбновляемаяСтатья}}
 
{{Шаблон:ОбновляемаяСтатья}}
 
== Замечания об обновлении Sisyphus ==
 
== Замечания об обновлении Sisyphus ==
  
[[Изображение:zn1_26.gif]] Здесь собираются важные замечания, связанные с обновлением системы из [[Sisyphus]]; текущие критичные ошибки отмечены на {{altbug|9100}}. Пожалуйста, если вы вносите предупреждения заранее, то потом либо убирайте их, либо конкретизируйте проблему. Извещения «месяц назад надо было бояться» бесполезны.
+
[[Изображение:zn1_26.gif]] Здесь собираются важные замечания, связанные с обновлением системы из [[Sisyphus]]; обновления по безопасности отмечаются на [http://packages.altlinux.org/ru/Sisyphus/security этой страничке].
 +
 
 +
Пожалуйста, если вносите предупреждения заранее, то потом либо убирайте их, либо конкретизируйте проблему. Извещения «месяц назад надо было бояться» бесполезны.
  
 
Старые по меркам Сизифа замечания накапливаются в [[changes/archive|архиве]].
 
Старые по меркам Сизифа замечания накапливаются в [[changes/archive|архиве]].
  
 
=== Рекомендации ===
 
=== Рекомендации ===
 +
* [[changes/devel|по разработке]]
 
* [[changes/intro|общие]]; [[changes/glibc|glibc-*]]; [[changes/rpm|rpm]]; [[changes/apt|apt]]; [[downgrade]]
 
* [[changes/intro|общие]]; [[changes/glibc|glibc-*]]; [[changes/rpm|rpm]]; [[changes/apt|apt]]; [[downgrade]]
 
* ветки/дистрибутивы: [[Changes/Branch6|p6/t6]]; [[changes/Branch51|5.1]]; [[changes/Branch50|5.0]]; [[changes/Branch41|4.1]]; [[changes/Branch40|4.0]]; [[changes/Branch30|3.0]];  [[changes/Master24|2.4]]; [[changes/Compact23|2.3]]; [[changes/Master22|2.2]]
 
* ветки/дистрибутивы: [[Changes/Branch6|p6/t6]]; [[changes/Branch51|5.1]]; [[changes/Branch50|5.0]]; [[changes/Branch41|4.1]]; [[changes/Branch40|4.0]]; [[changes/Branch30|3.0]];  [[changes/Master24|2.4]]; [[changes/Compact23|2.3]]; [[changes/Master22|2.2]]
  
== 2013 ==
+
== 2021 ==
=== Март ===
+
=== Январь ===
Следует внимательно отнестись к обновлению {{pkg|grub2-efi}} до 2.00-alt12: изменяется имя подкаталога ESP, стоит перепроверить глазами успешность миграции и на всякий держать под рукой [[rescue]]-диск/флэшку.
+
Из-за гонки возникающей в процессе обновления на системах с UEFI настоятельно рекомендуется при обновлении до {{pkg|grub-efi-2.04-alt2}} после dist-upgrade принудительно выполнить grub-efi-autoupdate
 +
 
 +
== 2020 ==
 +
=== Ноябрь ===
 +
В Сизифе с организована подпись EFI-stub ядер. В репозиторий [https://lists.altlinux.org/pipermail/sisyphus/2020-November/368916.html отправлен {{pkg|grub}} 2.02-alt30].
 +
Для систем с активированным SecureBoot рекомендуется обновление ядра до версии не ниже std-def-5.4.75 или un-def-5.9.6.
 +
 
 +
=== Октябрь ===
 +
В скором времени (по готовности ядер std-def, un-def c подписью EFI stub) [http://lists.altlinux.org/pipermail/sisyphus/2020-October/368899.html в Sisyphus будет отправлен {{pkg|grub}} 2.02-alt30], который в режиме Secure Boot будет грузить '''только''' подписанные сборочницей ядра.
 +
 
 +
=== Август ===
 +
При обновлении {{pkg|otrs}} с 6.0.23 до 6.0.29-alt1 стоит [http://lists.altlinux.org/pipermail/sisyphus/2020-August/368801.html не забыть] про инструкции по обновлению по ссылке из UPDATING.md (особенно насчёт DBUpdate-to-6.pl); см. тж. апстримный баг [http://bugs.otrs.org/show_bug.cgi?id=14540 14540].  К p9 относится при подключении/прохождении задания [http://lists.altlinux.org/pipermail/community/2020-September/688139.html 256548].
  
=== Февраль ===
+
=== Июль ===
Если при обновлении системы с {{pkg|sysvinit}} попытался впереться {{pkg|systemd}} — воздержитесь от установки {{pkg|indexhtml-common}} 0.6.2-alt1 ({{altbug|28528}}) и {{pkg|samba}} 4.0.x < 4.0.3-alt2 ({{altbug|28585}}); если поздно спохватились, можно
+
В {{pkg|krb5}} 1.18.2-alt1 [http://lists.altlinux.org/pipermail/sisyphus/2020-July/368738.html убрана] поддержка сильно устаревшего DES -- стоит проверить krb5.conf или kdc.conf на предмет наличия supported_enctypes, начинающихся с des- (например, des-hmac-sha1:normal, des-cbc-md5:normal или des-cbc-crc:normal).
  rpm -e agetty libnss-myhostname libsystemd-journal systemd
+
 
 +
=== Май ===
 +
[https://lists.altlinux.org/pipermail/sisyphus/2020-May/368592.html Внимание, в Сизифе 20200607 '''ядро un-def поменяется на 5.6'''], к которому пока не собраны модули: <s>'''nvidia''', rtl8723de</s> (20200508), acpi_call, bbswitch (wireguard вошёл в ядро).
 +
<div id="2020_sysklogd"></div>
 +
[https://lists.altlinux.org/pipermail/devel/2020-May/210840.html Будьте осторожны при использовании {{pkg|sysklogd}} на системах, где он уже был]. 
 +
Версия была обновлена до последней апстримной (1.6.0) и плюс ещё изменения.
 +
В апстриме добавили поддержку IPv6 и опции, совместимые с freebsd: -4, -6, -A.
 +
Наша опция -A и апстримная вступили в конфликт.
 +
Поэтому '''наша опция -A была переименована в -P'''.
 +
 
 +
=== Апрель ===
 +
Не стоит обновляться до pam 1.3.1.0.212.76916-alt1, станет [http://bugzilla.altlinux.org/38389 невозможно] войти с консоли; характерная диагностика:
 +
pam_motd(login_session): pam_motd: failed to allocate dirname array
 +
 
 +
Исправлено в 1.3.1.0.223.c2c0-alt1.
  
== 2012 ==
+
== 2019 ==
 
=== Декабрь ===
 
=== Декабрь ===
На сборке {{pkg|rpm-4.0.4-alt100.58}} под i586 текущим компилятором вылезла серьёзная бага, которая ранее оказывалась замаскирована; [http://lists.altlinux.org/pipermail/sisyphus/2012-December/359280.html исправление] имени at@ в течение суток попало в сизиф как {{pkg|rpm-4.0.4-alt100.59}}.  Если кто успел поставить alt100.58, может понадобиться вытащить и установить обновление вручную.  Типичным признаком при работе {{cmd|apt-get}} является:
+
Осторожно! Новый Xorg!
<pre>error: failed dependencies:
 
        libaudit.so.1 >= set:jhK9a5Z0 is needed by login-0.60-alt33</pre>
 
  
 
=== Ноябрь ===
 
=== Ноябрь ===
[http://lists.altlinux.org/pipermail/sisyphus/2012-November/358927.html Сообщается], что при использовании {{pkg|etcnet}} с {{pkg|ifplugd}} требуется указание <tt>CONFIG_WIRELESS=no</tt> вдобавок к <tt>USE_IFPLUGD=yes</tt>; см. тж. {{altbug|27797}}.
+
 
 +
php [https://lists.altlinux.org/pipermail/sisyphus/2019-November/368241.html обновился] до 7.3, может понадобиться миграция конфигурации в {{path|/etc/php/7.3/}}.
  
 
=== Октябрь ===
 
=== Октябрь ===
Использующим системы на сизифе '''с корнем (/boot) на md raid1''' и загрузчиком {{pkg|grub2-pc}} стоит обратить внимание на [http://lists.altlinux.org/pipermail/devel/2012-October/195751.html это сообщение].  NB: '''с grub2-pc-2.00-alt1 конкретно в этом случае гарантированно будет проблема''' (upstream bug), исправление в 2.00-alt2.  См. тж. [http://lists.altlinux.org/pipermail/sisyphus/2012-November/358897.html процедуру восстановления] при необходимости.
 
  
=== Сентябрь ===
+
Пакет [https://lists.altlinux.org/pipermail/sisyphus/2019-October/368193.html mongo 4.2.0-alt1] по ошибке содержит git master по состоянию на 29 августа; 24 октября в сизифе ожидается нормальный 4.2.1, но '''перед обновлением''' с 4.2.0-alt1 на 4.2.1-alt1 нужно будет в версии mongo shell 4.2.0-alt1 выполнить команды:
[http://lists.altlinux.org/pipermail/devel/2012-September/195184.html В Сизиф отправлен очередной свежий буст, на этот раз 1.51.0]; в devel@ -- подробные рекомендации по переводу пакетов на него. Возможно, также пригодится [http://lists.altlinux.org/pipermail/devel/2012-August/195075.html предыдущий тред]. PS: теперь все, кто используют boost/thread/mutex.hpp или Boost.Pool, должны компоноваться с -lboost_thread -lboost_system.
+
<pre>
 +
use admin
 +
db.adminCommand ({setFeatureCompatibilityVersion: "4.2"})
 +
</pre>
 +
 
 +
В Sisyphus и p9 отправлен syslog-ng 3.24.1-alt1. В конфиге вместо источника unix-dgram("/dev/log") используется источник system(). Тем, кто использует syslog-ng вместе с systemd, следует доустановить пакет syslog-ng-journal, а тем, кто использует p9 или Sisyphus в OpenVZ контейнере с хост-системой на ядре 2.6.32-ovz-el скопировать в /etc/syslog-ng/conf.d файл 00-redefine-source-sys.conf из примеров в документации (файл доступен в сборке 3.24.1-alt2).
  
 
=== Август ===
 
=== Август ===
"[http://lists.altlinux.org/pipermail/sisyphus/2012-August/358212.html Это обновление пакета pam, собранного с новой версией glibc.<br>Можно сказать, традиционные грабли в новой редакции.<br>Подробности см. в /var/log/auth/secure.<br>Рекомендуется service crond restart.]"
+
В p9 всё-таки попал неподписанный пакет [https://lists.altlinux.org/pipermail/sisyphus/2019-August/368124.html grub-efi] (сборка 2.02-alt17); при включенном UEFI SecureBoot следует до перезагрузки установить сборку 2.02-alt18 из задания [http://git.altlinux.org/tasks/archive/done/_230/236185/build/100/x86_64/rpms/ 236185] вручную либо с 24.08.2019 -- штатным обновлением.
  
Собирающим дистрибутивы из сизифа стоит знать, что у {{cmd|modprobe}} [http://lists.altlinux.org/pipermail/sisyphus/2012-August/358077.html теперь нет опции --list], ранее помеченной как deprecated; соответствующее изменение [http://git.altlinux.org/people/boyarsh/packages/?p=propagator.git;a=commitdiff;h=a109bc3706c117701db8e570a3bd56969a431180 внесено] в {{pkg|propagator-20101130-alt18}}.
+
=== Июль ===
 +
При обновлении пакета [https://packages.altlinux.org/ru/sisyphus/srpms/firmware-linux firmware-linux] на ноутбуке с Intel Wireless-AC9260 замечен [https://lists.altlinux.org/pipermail/sisyphus/2019-July/368005.html отказ в работе wifi]; см. [https://bugzilla.altlinux.org/show_bug.cgi?id=36966 #36966] (требуется доработка в ядре).
  
=== Май ===
+
=== Июнь ===
 +
[https://lists.altlinux.org/pipermail/sisyphus/2019-June/367986.html Новое поведение] [[MySQL|MySQL-server]] 8.0.16: разработчики перенесли функцию  обновления формата баз данных из клиентской утилиты mysql_upgrade непосредственно в код сервера.  '''При обновлении пакета после перезапуска сервера автоматически произойдет попытка обновления формата баз данных.'''  Во избежание недоразумений позаботьтесь, пожалуйста, о заблаговременном бэкапе баз данных перед обновлением MySQL-server.
  
В связи с враждебной политикой апстрима {{pkg|systemd}} в отношении людей, не являющихся пользователями такового, при нежелании переходить с SysV init пользователям {{pkg|NetworkManager}} и/или {{pkg|udisks2}} во избежание излишних заявлений «Not authorized» рекомендуется установить ({{cmd|rpm -Uvh --oldpackage}}) из [[Sisyphus archive|архива сизифа]] и [[Hold|захолдить]] используемое из:
+
=== Февраль ===
* libpolkit-0.104-alt1 ([http://ftp.altlinux.org/pub/distributions/archive/Sisyphus/2012/05/12/files/i586/RPMS/libpolkit-0.104-alt1.i586.rpm i586], [http://ftp.altlinux.org/pub/distributions/archive/Sisyphus/2012/05/12/files/x86_64/RPMS/libpolkit-0.104-alt1.x86_64.rpm x86_64])
+
Тем, у кого система загружается в режиме UEFI (установлен grub-efi), [https://lists.altlinux.org/pipermail/sisyphus/2019-February/367638.html стоит проверить] тестовое задание [http://webery.altlinux.org/task/221328 #221328].
* [http://lists.altlinux.org/pipermail/sisyphus/2012-May/357527.html polkit-0.104-alt1] ([http://ftp.altlinux.org/pub/distributions/archive/Sisyphus/2012/05/12/files/i586/RPMS/polkit-0.104-alt1.i586.rpm i586], [http://ftp.altlinux.org/pub/distributions/archive/Sisyphus/2012/05/12/files/x86_64/RPMS/polkit-0.104-alt1.x86_64.rpm x86_64])
 
* libudisks2-1.94.0-alt1.1 ([http://ftp.altlinux.org/pub/distributions/archive/Sisyphus/2012/04/12/files/i586/RPMS/libudisks2-1.94.0-alt1.1.i586.rpm i586], [http://ftp.altlinux.org/pub/distributions/archive/Sisyphus/2012/04/12/files/x86_64/RPMS/libudisks2-1.94.0-alt1.1.x86_64.rpm x86_64])
 
* [http://lists.altlinux.org/pipermail/sisyphus/2012-May/357588.html udisks2-1.94.0-alt1.1] ([http://ftp.altlinux.org/pub/distributions/archive/Sisyphus/2012/04/12/files/i586/RPMS/udisks2-1.94.0-alt1.1.i586.rpm i586], [http://ftp.altlinux.org/pub/distributions/archive/Sisyphus/2012/04/12/files/x86_64/RPMS/udisks2-1.94.0-alt1.1.x86_64.rpm x86_64])
 
* [http://lists.altlinux.org/pipermail/sisyphus/2012-May/357527.html NetworkManager-0.9.4.0-alt2] ([http://ftp.altlinux.org/pub/distributions/archive/Sisyphus/2012/04/12/ тоже archive/Sisyphus/2012/04/12/])
 
  
 +
Пользователям сизифного lxd [https://lists.altlinux.org/pipermail/sisyphus/2019-February/367637.html рекомендуется] забэкапить {{path|/var/lib/lxd/}} перед обновлением.
  
[http://lists.altlinux.org/pipermail/devel/2012-May/194445.html В Сизиф попал udev-176], которому обязательно нужен devtmpfs в ядре, без этого ни initrd, ни система не запустятся.
+
== 2018 ==
В ядра ovz-el и std-def необходимые изменения внесены. Проверить свои ядра можно командой
+
=== Ноябрь ===
# grep -i config_devtmpfs /boot/config-*
+
Похоже, chromium-70.0.3538.67, ушедший вчера в сизиф, [https://lists.altlinux.org/pipermail/sisyphus/2018-November/367306.html оказался сломанным]. Не обновляйтесь на него. ([https://lists.altlinux.org/pipermail/sisyphus/2018-November/367318.html исправлено] в 70.0.3538.77-alt1)
  
 +
=== Октябрь ===
 +
По проблемам обновления, вызванным перелопачиванием rpm, см. [https://bugzilla.altlinux.org/show_bug.cgi?id=35529 #35529], [https://bugzilla.altlinux.org/show_bug.cgi?id=35930 #35930], а по причинам -- [[Binary package identity change]] и [[Transition to disttag]]. ''добавляю задним числом, поскольку это плохо продуманное изменение до сих пор не закончено --[[Участник:MichaelShigorin|mike]] ([[Обсуждение участника:MichaelShigorin|обсуждение]]) 10:41, 12 февраля 2019 (UTC)''
  
В Сизиф приехало libcairo-1.12.2, после обновления до него перестали запускаться XFCE/LXDE через удалённое подключение по NX (RX@Etersoft). Предположительно, проблема в Иксах 6.9, которые используются в nx. Пока помогает [[Downgrade|даунгрейд]] до 1.10.2. Дополнительные сведения приветствуются. Портирование NX на новые Иксы в процессе.
+
=== Сентябрь ===
 +
Не стоит спешить с обновлением ответственных систем, в сизифе происходит переезд на openssl 1.1 и может [https://lists.altlinux.org/pipermail/sisyphus/2018-September/367079.html потряхивать на ухабах].
  
=== Апрель ===
+
=== Июль ===
При проблемах с {{pkg|automake_1.11}} см. тж. [http://lists.altlinux.org/pipermail/devel/2012-April/193963.html данное письмо].
+
Если на хост-системе установлены xorg-drv-vboxvideo и virtualbox-guest-additions -- их [https://lists.altlinux.org/pipermail/sisyphus/2018-July/366874.html лучше] [https://lists.altlinux.org/pipermail/sisyphus/2018-July/366875.html удалить] во избежание проблемы вида "OpenGL Warning: Failed to connect to host. Make sure 3D acceleration is enabled for this VM"; {{altbug|35170}}
  
[http://lists.altlinux.org/pipermail/devel/2012-April/193864.html Выделены] в отдельную компоненту пакеты '''{{pkg|*-debuginfo}}'''<ref>в т.ч. ради уменьшения размеров индексов</ref>; для использования теперь [http://lists.altlinux.org/pipermail/devel/2012-April/193866.html следует подключить] их в явном виде — например, так:<pre>rpm [alt] ftp://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus x86_64 classic debuginfo</pre>
+
=== Июнь ===
 +
Владельцам видеокарт NVIDIA предлагается быть внимательными ''до'' обновления: 1.06.2018 в сизиф приехал xorg-server 1.20, с которым пока не работает фирменный драйвер nvidia.
  
[http://lists.altlinux.org/pipermail/sisyphus/2012-April/357216.html Изменена] инфраструктура сборки [[biarch]]-оверлея для x86_64 (теперь создание i586-пакетов для предоставления 32-битного ABI происходит синхронно при сборке пакетов). [http://lists.altlinux.org/pipermail/devel/2012-April/193781.html Предупреждают], что '''arepo-репозитории x86_32 и x86_64-i586 несовместимы''' (одноименные пакеты отличаются по составу и зависимостям), '''автоматическое обновление со старого на новый не предусмотрено'''.  Тем, кто имел <s>неосторожность</s>смелость установить пакеты из arepo-репозитория x86_32, перед подключением arepo-репозитория x86_64-i586 настоятельно рекомендуется удалить все пакеты, имя которых начинается на "i586-"; поскольку новый оверлей несёт больше пакетов, также рекомендуется добавить <tt>APT::Cache-Limit 67108864;</tt> в {{path|/etc/apt/apt.conf}}. Типичный sources-list для желающих использовать arepo теперь выглядит так:<pre>
+
=== Май ===
rpm [alt] ftp://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus x86_64 classic
+
Сборка ImageMagick в сизифе за 31.05.2018 [https://lists.altlinux.org/pipermail/sisyphus/2018-May/366780.html немного недоработана], обновление стоит производить с предварительным {{cmd|apt-get install libImageMagick6 libImageMagick-}} или уже летом.
rpm [alt] ftp://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus noarch classic
 
rpm [alt] ftp://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus x86_64-i586 classic</pre>
 
  
=== Март ===
+
=== Апрель ===
Едет [http://lists.altlinux.org/pipermail/sisyphus/2012-March/357142.html xorg-1.12], на новых intel может решать вопросы<ref>проверено с [http://lists.altlinux.org/pipermail/sisyphus/2012-March/357129.html 3.3.0-std-ng]</ref>, с [https://bugzilla.altlinux.org/show_bug.cgi?id=27121 nouveau у cairo] они заведомо возникнут (может потребоваться [http://lists.altlinux.org/pipermail/sisyphus/2012-April/357242.html откат версии]); fglrx опять задерживается. YHBW.
+
В сизиф отправлен [https://lists.altlinux.org/pipermail/sisyphus/2018-April/366620.html systemd-238-alt4] с включенным по умолчанию <tt>default-kill-user-processes=true</tt> во избежание "залипаний" на пользовательских процессах при выключении/перезагрузке; при этом и фоновые процессы вроде screen/tmux на машинах под управлением systemd также станут уничтожаться при выходе пользователя -- варианты решения по ссылке (плюс [[sysvinit]]).
  
Майнтейнер java [http://lists.altlinux.org/pipermail/devel/2012-March/193454.html предупреждает] о готовящемся переезде с maven2 на maven3, что чревато временными крупными разломами по части собираемости java-пакетов.
+
=== Февраль ===
 
+
01.02.2018 выложено ядро kernel-image-ovz-el-2.6.32-alt162 с решением проблемы поддержки glibc на x86_64. На i586 проблема до сих пор остаётся ([https://bugzilla.altlinux.org/show_bug.cgi?id=34556 bug 34556]).
=== Январь ===
 
 
 
Обновление vsftpd до 2.3.5 принесло невозможность пускать в домашние каталоги пользователей при [http://www.opennet.ru/openforum/vsluhforumID3/81603.html#1 заведомо небезопасной конфигурации], которая стала неподдерживаемой (ошибка 500 OOPS: vsftpd: refusing to run with writable root inside chroot()). См. [http://centos.alt.ru/?p=649#comments здесь] и [http://www.benscobie.com/fixing-500-oops-vsftpd-refusing-to-run-with-writable-root-inside-chroot/ здесь]. Это вызывает проблемы ftp-доступа на shared-хостинге. Исправление — запретить пользователю запись в домашний каталог и впредь обращать внимание на предупреждения в конфигурационных файлах и changelog.
 
 
 
Браузер Chromium на новых ядрах (предположительно начиная с 3.1.5) стал зависать при открытии нескольких вкладок. В качестве временного решения можно закомментировать
 
$ grep sec /etc/chromium-browser/default
 
#CHROMIUM_FLAGS="--enable-seccomp-sandbox"
 
Заведена бага [https://bugzilla.altlinux.org/show_bug.cgi?id=25407 25407].
 
  
== Ссылки ==
+
<!--
 +
== Примечания ==
 
<references/>
 
<references/>
 +
-->
  
 
{{Category navigation|title=changes|category=Changes|sortkey={{SUBPAGENAME}}}}
 
{{Category navigation|title=changes|category=Changes|sortkey={{SUBPAGENAME}}}}

Текущая версия на 07:48, 27 января 2021

50px-Gnome globe current event.png
Данная статья периодически обновляется.
Последнее обновление
07:48 27 января 2021

Замечания об обновлении Sisyphus[править]

Zn1 26.gif Здесь собираются важные замечания, связанные с обновлением системы из Sisyphus; обновления по безопасности отмечаются на этой страничке.

Пожалуйста, если вносите предупреждения заранее, то потом либо убирайте их, либо конкретизируйте проблему. Извещения «месяц назад надо было бояться» бесполезны.

Старые по меркам Сизифа замечания накапливаются в архиве.

Рекомендации[править]

2021[править]

Январь[править]

Из-за гонки возникающей в процессе обновления на системах с UEFI настоятельно рекомендуется при обновлении до grub-efi-2.04-alt2 после dist-upgrade принудительно выполнить grub-efi-autoupdate

2020[править]

Ноябрь[править]

В Сизифе с организована подпись EFI-stub ядер. В репозиторий отправлен grub 2.02-alt30. Для систем с активированным SecureBoot рекомендуется обновление ядра до версии не ниже std-def-5.4.75 или un-def-5.9.6.

Октябрь[править]

В скором времени (по готовности ядер std-def, un-def c подписью EFI stub) в Sisyphus будет отправлен grub 2.02-alt30, который в режиме Secure Boot будет грузить только подписанные сборочницей ядра.

Август[править]

При обновлении otrs с 6.0.23 до 6.0.29-alt1 стоит не забыть про инструкции по обновлению по ссылке из UPDATING.md (особенно насчёт DBUpdate-to-6.pl); см. тж. апстримный баг 14540. К p9 относится при подключении/прохождении задания 256548.

Июль[править]

В krb5 1.18.2-alt1 убрана поддержка сильно устаревшего DES -- стоит проверить krb5.conf или kdc.conf на предмет наличия supported_enctypes, начинающихся с des- (например, des-hmac-sha1:normal, des-cbc-md5:normal или des-cbc-crc:normal).

Май[править]

Внимание, в Сизифе 20200607 ядро un-def поменяется на 5.6, к которому пока не собраны модули: nvidia, rtl8723de (20200508), acpi_call, bbswitch (wireguard вошёл в ядро).

Будьте осторожны при использовании sysklogd на системах, где он уже был. Версия была обновлена до последней апстримной (1.6.0) и плюс ещё изменения. В апстриме добавили поддержку IPv6 и опции, совместимые с freebsd: -4, -6, -A. Наша опция -A и апстримная вступили в конфликт. Поэтому наша опция -A была переименована в -P.

Апрель[править]

Не стоит обновляться до pam 1.3.1.0.212.76916-alt1, станет невозможно войти с консоли; характерная диагностика:

pam_motd(login_session): pam_motd: failed to allocate dirname array

Исправлено в 1.3.1.0.223.c2c0-alt1.

2019[править]

Декабрь[править]

Осторожно! Новый Xorg!

Ноябрь[править]

php обновился до 7.3, может понадобиться миграция конфигурации в /etc/php/7.3/.

Октябрь[править]

Пакет mongo 4.2.0-alt1 по ошибке содержит git master по состоянию на 29 августа; 24 октября в сизифе ожидается нормальный 4.2.1, но перед обновлением с 4.2.0-alt1 на 4.2.1-alt1 нужно будет в версии mongo shell 4.2.0-alt1 выполнить команды:

use admin
db.adminCommand ({setFeatureCompatibilityVersion: "4.2"})

В Sisyphus и p9 отправлен syslog-ng 3.24.1-alt1. В конфиге вместо источника unix-dgram("/dev/log") используется источник system(). Тем, кто использует syslog-ng вместе с systemd, следует доустановить пакет syslog-ng-journal, а тем, кто использует p9 или Sisyphus в OpenVZ контейнере с хост-системой на ядре 2.6.32-ovz-el скопировать в /etc/syslog-ng/conf.d файл 00-redefine-source-sys.conf из примеров в документации (файл доступен в сборке 3.24.1-alt2).

Август[править]

В p9 всё-таки попал неподписанный пакет grub-efi (сборка 2.02-alt17); при включенном UEFI SecureBoot следует до перезагрузки установить сборку 2.02-alt18 из задания 236185 вручную либо с 24.08.2019 -- штатным обновлением.

Июль[править]

При обновлении пакета firmware-linux на ноутбуке с Intel Wireless-AC9260 замечен отказ в работе wifi; см. #36966 (требуется доработка в ядре).

Июнь[править]

Новое поведение MySQL-server 8.0.16: разработчики перенесли функцию обновления формата баз данных из клиентской утилиты mysql_upgrade непосредственно в код сервера. При обновлении пакета после перезапуска сервера автоматически произойдет попытка обновления формата баз данных. Во избежание недоразумений позаботьтесь, пожалуйста, о заблаговременном бэкапе баз данных перед обновлением MySQL-server.

Февраль[править]

Тем, у кого система загружается в режиме UEFI (установлен grub-efi), стоит проверить тестовое задание #221328.

Пользователям сизифного lxd рекомендуется забэкапить /var/lib/lxd/ перед обновлением.

2018[править]

Ноябрь[править]

Похоже, chromium-70.0.3538.67, ушедший вчера в сизиф, оказался сломанным. Не обновляйтесь на него. (исправлено в 70.0.3538.77-alt1)

Октябрь[править]

По проблемам обновления, вызванным перелопачиванием rpm, см. #35529, #35930, а по причинам -- Binary package identity change и Transition to disttag. добавляю задним числом, поскольку это плохо продуманное изменение до сих пор не закончено --mike (обсуждение) 10:41, 12 февраля 2019 (UTC)

Сентябрь[править]

Не стоит спешить с обновлением ответственных систем, в сизифе происходит переезд на openssl 1.1 и может потряхивать на ухабах.

Июль[править]

Если на хост-системе установлены xorg-drv-vboxvideo и virtualbox-guest-additions -- их лучше удалить во избежание проблемы вида "OpenGL Warning: Failed to connect to host. Make sure 3D acceleration is enabled for this VM"; altbug #35170

Июнь[править]

Владельцам видеокарт NVIDIA предлагается быть внимательными до обновления: 1.06.2018 в сизиф приехал xorg-server 1.20, с которым пока не работает фирменный драйвер nvidia.

Май[править]

Сборка ImageMagick в сизифе за 31.05.2018 немного недоработана, обновление стоит производить с предварительным apt-get install libImageMagick6 libImageMagick- или уже летом.

Апрель[править]

В сизиф отправлен systemd-238-alt4 с включенным по умолчанию default-kill-user-processes=true во избежание "залипаний" на пользовательских процессах при выключении/перезагрузке; при этом и фоновые процессы вроде screen/tmux на машинах под управлением systemd также станут уничтожаться при выходе пользователя -- варианты решения по ссылке (плюс sysvinit).

Февраль[править]

01.02.2018 выложено ядро kernel-image-ovz-el-2.6.32-alt162 с решением проблемы поддержки glibc на x86_64. На i586 проблема до сих пор остаётся (bug 34556).